﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.ComponentModel;
using System.Xml.Serialization;

namespace Components
{
    [XmlRoot("item")]
    public class MyItem
    {
        [XmlAttribute("x")]
        public int X { get; set; }
        
        [XmlAttribute("y")]
        public int Y { get; set; }

        [XmlAttribute("name")]
        public String Name { get; set; }
        
        public MyItem() { }
    }

    [XmlRoot("MyData")]
    public class MyObject
    {
        // using System.ComponentModel;
        [Category("Souradnice")]
        [Description("Pocet polozek")]
        [DisplayName ("Pocet")]
        // [Browsable (false)]
        public int Number { get; set; }

        [Category ("Popisy")]
        public String Text { get; set; }
        
        // public Color colorProp { get; set; }
        // public Font fontProp { get; set; }
        public Size sizeProp { get; set; }
        public List<MyItem> Seznam { get; set; }

        public MyItem Polozka { get; set; }

        // public Button Knoflik { get; set; }

        // public Class2 Other { get; set; }

        public MyObject()
        {
            Seznam = new List<MyItem> { };
            Polozka = new MyItem();
            // Knoflik = new Button();
        }
       
    }
}
